Closed Bug 616515 Opened 9 years ago Closed 7 years ago

Intermittent crash in test_bug360220.xul or test_bug365773.xul or test_closeOnGC.html during GC | Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL)

Categories

(Core :: JavaScript Engine, defect)

All
Windows Server 2003
defect
Not set

Tracking

()

RESOLVED WORKSFORME

People

(Reporter: mstange, Unassigned)

References

Details

(Keywords: intermittent-failure)

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1291397650.1291398799.12938.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2010/12/03 09:34:10

s: win32-slave18

Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL), at e:/builds/moz2_slave/mozilla-central-win32-debug/build/js/src/xpconnect/src/xpcjsruntime.cpp:403

TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_bug360220.xul | Exited with code -1073741819 during test run
PROCESS-CRASH | /tests/toolkit/content/tests/widgets/test_bug360220.xul | application crashed (minidump found)
Thread 0 (crashed)

Thread 0 (crashed)
 0  mozjs.dll!JS_Assert [jsutil.cpp:1b27facfee00 : 73 + 0x0]
    eip = 0x00781a7a   esp = 0x0012d3f0   ebp = 0x0012d3f0   ebx = 0x00000001
    esi = 0x01872950   edi = 0x00000000   eax = 0x00000000   ecx = 0xa6e2cfa5
    edx = 0x003a1d40   efl = 0x00010216
    Found by: given as instruction pointer in context
 1  xul.dll!XPCJSRuntime::TraceXPConnectRoots(JSTracer *) [xpcjsruntime.cpp:1b27facfee00 : 403 + 0x24]
    eip = 0x1117c038   esp = 0x0012d3f8   ebp = 0x0012d43c
    Found by: call frame info
 2  xul.dll!XPCJSRuntime::TraceJS(JSTracer *,void *) [xpcjsruntime.cpp:1b27facfee00 : 366 + 0xb]
    eip = 0x1117bf3e   esp = 0x0012d444   ebp = 0x0012d498
    Found by: call frame info
 3  mozjs.dll!js::MarkRuntime(JSTracer *) [jsgc.cpp:1b27facfee00 : 1711 + 0x18]
    eip = 0x0067e653   esp = 0x0012d4a0   ebp = 0x0012d508
    Found by: call frame info
 4  mozjs.dll!MarkAndSweep [jsgc.cpp:1b27facfee00 : 2139 + 0xb]
    eip = 0x00680123   esp = 0x0012d510   ebp = 0x0012d5c4
    Found by: call frame info
 5  mozjs.dll!GCUntilDone [jsgc.cpp:1b27facfee00 : 2482 + 0xc]
    eip = 0x0067fe14   esp = 0x0012d5cc   ebp = 0x0012d5e4
    Found by: call frame info
 6  mozjs.dll!js_GC(JSContext *,JSGCInvocationKind) [jsgc.cpp:1b27facfee00 : 2547 + 0xc]
    eip = 0x0067fbd4   esp = 0x0012d5ec   ebp = 0x0012d608
    Found by: call frame info
 7  mozjs.dll!JS_GC [jsapi.cpp:1b27facfee00 : 2501 + 0xa]
    eip = 0x005f58a7   esp = 0x0012d610   ebp = 0x0012d618
    Found by: call frame info
 8  xul.dll!nsXPConnect::Collect() [nsXPConnect.cpp:1b27facfee00 : 405 + 0x9]
    eip = 0x11146c24   esp = 0x0012d620   ebp = 0x0012d6c0
    Found by: call frame info
 9  xul.dll!nsXPConnect::GarbageCollect() [nsXPConnect.cpp:1b27facfee00 : 413 + 0x10]
    eip = 0x11146c84   esp = 0x0012d6c8   ebp = 0x0012d6c8
    Found by: call frame info
10  xul.dll!nsJSContext::CC(nsICycleCollectorListener *) [nsJSEnvironment.cpp:1b27facfee00 : 3654 + 0x18]
    eip = 0x10d1d3fe   esp = 0x0012d6d0   ebp = 0x0012d6d8
    Found by: call frame info
11  xul.dll!nsJSContext::IntervalCC() [nsJSEnvironment.cpp:1b27facfee00 : 3759 + 0x6]
    eip = 0x10d1d5c2   esp = 0x0012d6e0   ebp = 0x0012d6ec
    Found by: call frame info
12  xul.dll!nsJSContext::CCIfUserInactive() [nsJSEnvironment.cpp:1b27facfee00 : 3740 + 0x4]
    eip = 0x10d1d56d   esp = 0x0012d6f4   ebp = 0x0012d6f4
    Found by: call frame info
13  xul.dll!GCTimerFired(nsITimer *,void *) [nsJSEnvironment.cpp:1b27facfee00 : 3785 + 0x4]
    eip = 0x10d1d62f   esp = 0x0012d6fc   ebp = 0x0012d6fc
    Found by: call frame info
14  xul.dll!nsTimerImpl::Fire() [nsTimerImpl.cpp:1b27facfee00 : 425 + 0xd]
    eip = 0x1150459f   esp = 0x0012d704   ebp = 0x0012d7cc
    Found by: call frame info
15  xul.dll!nsTimerEvent::Run() [nsTimerImpl.cpp:1b27facfee00 : 517 + 0xe]
    eip = 0x11504801   esp = 0x0012d7d4   ebp = 0x0012d7f8
    Found by: call frame info
16  xul.dll!nsThread::ProcessNextEvent(int,int *) [nsThread.cpp:1b27facfee00 : 626 + 0x18]
    eip = 0x11507fd4   esp = 0x0012d800   ebp = 0x0012d860
    Found by: call frame info
17  xul.dll!NS_ProcessNextEvent_P(nsIThread *,int) [nsThreadUtils.cpp:1b27facfee00 : 250 + 0x15]
    eip = 0x1059ccf3   esp = 0x0012d868   ebp = 0x0012d87c
    Found by: call frame info
18  xul.dll!mozilla::ipc::MessagePump::Run(base::MessagePump::Delegate *) [MessagePump.cpp:1b27facfee00 : 110 + 0xd]
    eip = 0x103d3c5d   esp = 0x0012d884   ebp = 0x0012d8b0
    Found by: call frame info
19  xul.dll!MessageLoop::RunInternal() [message_loop.cc:1b27facfee00 : 219 + 0x1e]
    eip = 0x115384a6   esp = 0x0012d8b8   ebp = 0x0012d8d4   ebx = 0xbffde000
    Found by: call frame info
20  xul.dll!MessageLoop::RunHandler() [message_loop.cc:1b27facfee00 : 202 + 0x7]
    eip = 0x115383e2   esp = 0x0012d8dc   ebp = 0x0012d90c
    Found by: call frame info
21  xul.dll!MessageLoop::Run() [message_loop.cc:1b27facfee00 : 176 + 0x7]
    eip = 0x1153830d   esp = 0x0012d914   ebp = 0x0012d92c   ebx = 0x0012cffc
    Found by: call frame info
22  xul.dll!nsBaseAppShell::Run() [nsBaseAppShell.cpp:1b27facfee00 : 192 + 0xb]
    eip = 0x113d9a30   esp = 0x0012d934   ebp = 0x0012d938
    Found by: call frame info
23  xul.dll!nsAppShell::Run() [nsAppShell.cpp:1b27facfee00 : 258 + 0x8]
    eip = 0x11391cd2   esp = 0x0012d940   ebp = 0x0012f88c
    Found by: call frame info
24  xul.dll!nsAppStartup::Run() [nsAppStartup.cpp:1b27facfee00 : 191 + 0x1b]
    eip = 0x112fc80a   esp = 0x0012f894   ebp = 0x0012f8a0
    Found by: call frame info
25  xul.dll!XRE_main [nsAppRunner.cpp:1b27facfee00 : 3691 + 0x24]
    eip = 0x1005780c   esp = 0x0012f8a8   ebp = 0x0012fed0
    Found by: call frame info
26  firefox.exe!NS_internal_main(int,char * *) [nsBrowserApp.cpp:1b27facfee00 : 158 + 0x11]
    eip = 0x00402562   esp = 0x0012fed8   ebp = 0x0012ff34
    Found by: call frame info
27  firefox.exe!wmain [nsWindowsWMain.cpp:1b27facfee00 : 128 + 0xc]
    eip = 0x00401cfc   esp = 0x0012ff3c   ebp = 0x0012ff68
    Found by: call frame info
28  firefox.exe!__tmainCRTStartup [crtexe.c : 594 + 0x18]
    eip = 0x00407256   esp = 0x0012ff70   ebp = 0x0012ffb8
    Found by: call frame info
29  firefox.exe!wmainCRTStartup [crtexe.c : 413 + 0x4]
    eip = 0x004070ad   esp = 0x0012ffc0   ebp = 0x0012ffc0   ebx = 0x0012cffc
    Found by: call frame info
30  kernel32.dll + 0x2f23a
    eip = 0x77e6f23b   esp = 0x0012ffc8   ebp = 0x0012fff0
    Found by: call frame info
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1294087605.1294088727.29376.gz
WINNT 5.2 mozilla-central debug test mochitests-5/5 on 2011/01/03 12:46:45
s: win32-slave45

7358 INFO TEST-START | /tests/toolkit/content/tests/widgets/test_bug365773.xul
WARNING: NS_ENSURE_TRUE(sf) failed: file e:/builds/moz2_slave/cen-w32-dbg/build/docshell/base/nsDocShell.cpp, line 4952
WARNING: NS_ENSURE_TRUE(sf) failed: file e:/builds/moz2_slave/cen-w32-dbg/build/docshell/base/nsDocShell.cpp, line 4952
Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL), at e:/builds/moz2_slave/cen-w32-dbg/build/js/src/xpconnect/src/xpcjsruntime.cpp:409
nsStringStats
 => mAllocCount:         594348
 => mReallocCount:        66341
 => mFreeCount:          545838  --  LEAKED 48510 !!!
 => mShareCount:         658694
 => mAdoptCount:          56566
 => mAdoptFreeCount:      56564  --  LEAKED 2 !!!
TEST-UNEXPECTED-FAIL | /tests/toolkit/content/tests/widgets/test_bug365773.xul | Exited with code -1073741819 during test run

Thread 0 (crashed)
 0  mozjs.dll!JS_Assert [jsutil.cpp:ca0f807691f9 : 73 + 0x0]
    eip = 0x0071f7fa   esp = 0x0012ccac   ebp = 0x0012ccac   ebx = 0x00000001
    esi = 0x01812ac8   edi = 0x00000000   eax = 0x00000000   ecx = 0x9ec75708
    edx = 0x00541d40   efl = 0x00010206
    Found by: given as instruction pointer in context
 1  xul.dll!XPCJSRuntime::TraceXPConnectRoots(JSTracer *) [xpcjsruntime.cpp:ca0f807691f9 : 409 + 0x24]
    eip = 0x11192d18   esp = 0x0012ccb4   ebp = 0x0012ccf8
    Found by: call frame info
etc.
Summary: Intermittent crash in test_bug360220.xul during GC | Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL) → Intermittent crash in test_bug360220.xul or test_bug365773.xul during GC | Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL)
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1295323281.1295324010.7541.gz
Rev3 Fedora 12x64 tracemonkey debug test mochitests-2/5 on 2011/01/17 20:01:21
s: talos-r3-fed64-043

2877 INFO TEST-PASS | /tests/dom/src/threads/test/test_closeOnGC.html | undefined - "ready" should equal "ready"
--DOMWINDOW == 36 (0x8c921b8) [serial = 1247] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/src/jsurl/test/test_bug351633-3.html]
--DOMWINDOW == 35 (0x504d108) [serial = 1272] [outer = 0x36b7110] [url = http://mochi.test:8888/tests/dom/src/threads/test/test_close.html]
--DOMWINDOW == 34 (0x1c97808) [serial = 1271] [outer = 0x36b7110] [url = http://mochi.test:8888/tests/dom/src/threads/test/test_chromeWorker.html]
--DOMWINDOW == 33 (0x318f638) [serial = 1230] [outer = 0x36b7110] [url = http://mochi.test:8888/tests/dom/indexedDB/test/test_transaction_lifetimes.html]
--DOMWINDOW == 32 (0x41585c8) [serial = 1228] [outer = 0x57a2ab0] [url = http://mochi.test:8888/tests/dom/indexedDB/test/third_party_iframe2.html]
--DOMWINDOW == 31 (0x57a2b28) [serial = 1226] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/indexedDB/test/third_party_iframe2.html]
--DOMWINDOW == 30 (0x154e0b8) [serial = 1270] [outer = 0x36b7110] [url = http://mochi.test:8888/tests/dom/src/threads/test/test_atob.html]
--DOMWINDOW == 29 (0x2226688) [serial = 1216] [outer = 0x9ba62e0] [url = http://mochi.test:8888/tests/dom/indexedDB/test/third_party_iframe2.html]
--DOMWINDOW == 28 (0x9ba6358) [serial = 1214] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/indexedDB/test/third_party_iframe2.html]
--DOMWINDOW == 27 (0x30aec78) [serial = 1269] [outer = 0x36b7110] [url = http://mochi.test:8888/tests/dom/src/threads/test/test_404.html]
--DOMWINDOW == 26 (0x2227d58) [serial = 1265] [outer = 0x8517a40] [url = about:blank]
--DOMWINDOW == 25 (0x8517ab8) [serial = 1264] [outer = (nil)] [url = about:blank]
--DOCSHELL 0x5d1ef80 == 8
--DOMWINDOW == 24 (0x9a8d328) [serial = 1268] [outer = 0x848e760] [url = about:blank]
--DOMWINDOW == 23 (0x848e7d8) [serial = 1267] [outer = (nil)] [url = javascript:'content']
--DOCSHELL 0x6bc7d10 == 7
--DOMWINDOW == 22 (0x24af068) [serial = 1232] [outer = (nil)] [url = http://mochi.test:8888/tests/dom/indexedDB/test/test_writer_starvation.html]
Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL), at /builds/slave/tm-lnx64-dbg/build/js/src/xpconnect/src/xpcjsruntime.cpp:409
TEST-UNEXPECTED-FAIL | /tests/dom/src/threads/test/test_closeOnGC.html | Exited with code 1 during test run
Summary: Intermittent crash in test_bug360220.xul or test_bug365773.xul during GC | Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL) → Intermittent crash in test_bug360220.xul or test_bug365773.xul or test_closeOnGC.html during GC | Assertion failure: JS_HAS_OPTION(acx, JSOPTION_UNROOTED_GLOBAL)
ignore the previous 2 comments, that's apparently a different bug.
filed bug 655020 for that
Mass marking whiteboard:[orange] bugs WFM (to clean up TBPL bug suggestions) that:
* Haven't changed in > 6months
* Whose whiteboard contains none of the strings: {disabled,marked,random,fuzzy,todo,fails,failing,annotated,leave open,time-bomb}
* Passed a (quick) manual inspection of bug summary/whiteboard to ensure they weren't a false positive.

I've also gone through and searched for cases where the whiteboard wasn't labelled correctly after test disabling, by using attachment description & basic comment searches. However if the test for which this bug was about has in fact been disabled/annotated/..., please accept my apologies & reopen/mark the whiteboard appropriately so this doesn't get re-closed in the future (and please ping me via IRC or email so I can try to tweak the saved searches to avoid more edge cases).

Sorry for the spam! Filter on: #FFA500
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → WORKSFORME
Whiteboard: [orange]
You need to log in before you can comment on or make changes to this bug.